# Giterator Presets

Prebuild presets / examples for usage of [giterator](https://git.hydrar.de/jmarya/giterator).

## Usage
Common scripts are in `./scripts` and utilities like visualization are in `./utils`.

Usage:
```shell
# Run a script on a repo
giterator -s [SCRIPT] [REPO]

# Run a script on a repo and visualize the results over time
giterator -j -s [SCRIPT] [REPO]|python3 ./util/over_time_vis.py

# Example: Visualize LOC (Lines of Code) over time
giterator -j -s ./scripts/loc.sh [REPO]|python3 ./util/over_time_vis.py
```
